LibreOffice: ChartDataArray Service Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Exported Interfaces | List of all members
ChartDataArray Service Reference

must be supported by each data source for charts, where you want to access the values directly. More...

`import <ChartDataArray.idl;`

Inheritance diagram for ChartDataArray:

## Included Services
service | com::sun::star::chart::ChartData

## Exported Interfaces
interface | com::sun::star::chart::XChartDataArray
Exported Interfaces inherited from ChartData
interface | com::sun::star::chart::XChartData

## Additional Inherited Members
Public Member Functions inherited from XChartData
void | addChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| allows a component supporting the XChartDataChangeEventListener interface to register as listener.
void | removeChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| removes a previously registered listener.
double | getNotANumber ()
boolean | isNotANumber ([in] double nNumber)
| checks whether the value given is equal to the indicator value for a missing value.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XChartDataArray
sequence< sequence< double > > | getData ()
| retrieves the numerical data as a nested sequence of values.
void | setData ([in] sequence< sequence< double > > aData)
| sets the chart data as an array of numbers.
sequence< string > | getRowDescriptions ()
| retrieves the description texts for all rows.
void | setRowDescriptions ([in] sequence< string > aRowDescriptions)
| sets the description texts for all rows.
sequence< string > | getColumnDescriptions ()
| retrieves the description texts for all columns.
void | setColumnDescriptions ([in] sequence< string > aColumnDescriptions)
| sets the description texts for all columns.

## Detailed Description

must be supported by each data source for charts, where you want to access the values directly.

It contains the data values as well as the descriptions for each row and column.

Developers Guide
  Charts - Data Access
  Charts - Working With Charts - Document Structure

## Exported Interfaces

## ◆ com::sun::star::chart::ChartData

service com::sun::star::chart::ChartData

## Exported Interfaces

## ◆ com::sun::star::chart::XChartDataArray

interface com::sun::star::chart::XChartDataArray

The documentation for this service was generated from the following files:

- com/sun/star/chart/ChartDataArray.idl
- /build/libreoffice-fresh/src/libreoffice-24.8.2.1/odk/docs/idl/generated_idl_chapter_refs.idl